petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscLogAllBegin

Turns on extensive logging of objects and events. Logs all events. This creates large log files and slows the program down.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscLogAllBegin(void)

Logically Collective on PETSC_COMM_WORLD

### Options Database Keys

-log_all -Prints extensive log information

### Usage

         PetscInitialize(...);
         PetscLogAllBegin();
         ... code ...
         PetscLogDump(filename);
         PetscFinalize();

### Notes

A related routine is PetscLogDefaultBegin() (with the options key -log), which is intended for production runs since it logs only flop rates and object creation (and shouldn't significantly slow the programs).

### See Also

PetscLogDump(), PetscLogDefaultBegin(), PetscLogTraceBegin()

### Level

advanced

### Location

src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages